org.jgrapht.graph

## Class DirectedWeightedMultigraph<V,E>

- java.lang.Object
- - org.jgrapht.graph.AbstractGraph<V,E>
  - - org.jgrapht.graph.AbstractBaseGraph<V,E>
    - - org.jgrapht.graph.DirectedMultigraph<V,E>
      - - org.jgrapht.graph.DirectedWeightedMultigraph<V,E>

- All Implemented Interfaces:
    Serializable, Cloneable, DirectedGraph<V,E>, Graph<V,E>, WeightedGraph<V,E>

      public class DirectedWeightedMultigraph<V,E>
      extends DirectedMultigraph<V,E>
      implements WeightedGraph<V,E>

  A directed weighted multigraph. A directed weighted multigraph is a non-simple directed graph in which no loops are permitted, but multiple edges between any two vertices are permitted, and edges have weights.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jgrapht.graph.AbstractBaseGraph

      `AbstractBaseGraph.DirectedEdgeContainer<VV,EE>, AbstractBaseGraph.DirectedSpecifics, AbstractBaseGraph.UndirectedSpecifics`

  - ### Field Summary

    - ### Fields inherited from interface org.jgrapht.WeightedGraph

      `DEFAULT_EDGE_WEIGHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectedWeightedMultigraph(Class<? extends E> edgeClass)` Creates a new directed weighted multigraph.
    `DirectedWeightedMultigraph(EdgeFactory<V,E> ef)` Creates a new directed weighted multigraph with the specified edge factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <V,E> DirectedWeightedGraphBuilderBase<V,E,? extends DirectedWeightedMultigraph<V,E>,?>` | `builder(Class<? extends E> edgeClass)`
    `static <V,E> DirectedWeightedGraphBuilderBase<V,E,? extends DirectedWeightedMultigraph<V,E>,?>` | `builder(EdgeFactory<V,E> ef)`

    - ### Methods inherited from class org.jgrapht.graph.AbstractBaseGraph

      `addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, createDirectedSpecifics, createUndirectedSpecifics, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

    - ### Methods inherited from class org.jgrapht.graph.AbstractGraph

      `assertVertexExist, containsEdge, equals, hashCode, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.WeightedGraph

      `setEdgeWeight`

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

    - ### Methods inherited from interface org.jgrapht.DirectedGraph

      `incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

- - ### Constructor Detail

    - #### DirectedWeightedMultigraph

          public DirectedWeightedMultigraph(Class<? extends E> edgeClass)

      Creates a new directed weighted multigraph.
      Parameters:
        `edgeClass` - class on which to base factory for edges

    - #### DirectedWeightedMultigraph

          public DirectedWeightedMultigraph(EdgeFactory<V,E> ef)

      Creates a new directed weighted multigraph with the specified edge factory.
      Parameters:
        `ef` - the edge factory of the new graph.

  - ### Method Detail

    - #### builder

          public static <V,E> DirectedWeightedGraphBuilderBase<V,E,? extends DirectedWeightedMultigraph<V,E>,?> builder(Class<? extends E> edgeClass)

    - #### builder

          public static <V,E> DirectedWeightedGraphBuilderBase<V,E,? extends DirectedWeightedMultigraph<V,E>,?> builder(EdgeFactory<V,E> ef)

Copyright © 2016. All rights reserved.